import { isSpecificError } from './errors';

function DefineFrozenError(name, defaultMessage) {
  return class extends Error {
    constructor(msg) {
      super(msg !== null && msg !== void 0 ? msg : defaultMessage);
      this.name = name;
      Object.setPrototypeOf(this, new.target.prototype);
    }

    static is(err) {
      return isSpecificError(err, name);
    }

  };
}

export const EventstoreFrozenError = DefineFrozenError('EventstoreFrozenError', 'Event store is frozen');
export const AlreadyFrozenError = DefineFrozenError('AlreadyFrozenError', 'Event store is already frozen');
export const AlreadyUnfrozenError = DefineFrozenError('AlreadyUnfrozenError', 'Event store is already unfrozen');
//# sourceMappingURL=frozen-errors.js.map