"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const getEventLoader = async (pool, filter, options) => {
  if (pool.getEventLoaderNative !== undefined && (options === undefined || !options.preferRegular)) {
    return await pool.getEventLoaderNative(filter);
  }

  const detail = {
    cursor: filter.cursor
  };
  return {
    async close() {
      return;
    },

    async loadEvents(limit) {
      const result = await pool.loadEventsByCursor({ ...filter,
        cursor: detail.cursor,
        limit
      });
      detail.cursor = result.cursor;
      return result;
    },

    get cursor() {
      return detail.cursor;
    },

    isNative: false
  };
};

var _default = getEventLoader;
exports.default = _default;
//# sourceMappingURL=get-event-loader.js.map