"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _cursorOperations = require("./cursor-operations");

//const split2RegExp = /.{1,2}(?=(.{2})+(?!.))|.{1,2}$/g
const getNextCursor = (prevCursor, events) => {
  const vectorConditions = (0, _cursorOperations.cursorToThreadArray)(prevCursor);

  for (const event of events) {
    const {
      threadId,
      threadCounter
    } = event;
    const oldThreadCounter = vectorConditions[threadId];
    vectorConditions[threadId] = Math.max(threadCounter + 1, oldThreadCounter);
  }

  return (0, _cursorOperations.threadArrayToCursor)(vectorConditions);
};

var _default = getNextCursor;
exports.default = _default;
//# sourceMappingURL=get-next-cursor.js.map