"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _getLog = require("./get-log");

var _errors = require("./errors");

const wrapDispose = (pool, dispose) => async () => {
  if (pool.disposed) {
    throw new _errors.AlreadyDisposedError();
  }

  pool.disposed = true;
  const log = (0, _getLog.getLog)('dispose');

  if (!pool.isConnected) {
    log.debug('event store is not yet connected, no need for disconnecting');
    return;
  }

  if (pool.getConnectPromise) await pool.getConnectPromise();
  await dispose(pool);
};

var _default = wrapDispose;
exports.default = _default;
//# sourceMappingURL=wrap-dispose.js.map