"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _errors = require("./errors");

const connectOnDemandAndCall = async (pool, method, ...args) => {
  if (pool.disposed) {
    throw new _errors.AlreadyDisposedError();
  }

  pool.isConnected = true;
  const connectPromise = pool.getConnectPromise();
  await connectPromise;
  return await method(pool, ...args);
};

function generateAssertTrap() {
  return (...args) => {
    throw new Error('Adapter method is not implemented');
  };
}

const wrapMethod = (pool, method) => {
  if (method === undefined) return generateAssertTrap();else return async (...args) => {
    return await connectOnDemandAndCall(pool, method, ...args);
  };
};

var _default = wrapMethod;
exports.default = _default;
//# sourceMappingURL=wrap-method.js.map