import { ResourceAlreadyExistError, ResourceNotExistError } from './resource-errors';
import { EventstoreFrozenError, AlreadyFrozenError, AlreadyUnfrozenError } from './frozen-errors';
import getNextCursor from './get-next-cursor';
import throwBadCursor from './throw-bad-cursor';
import snapshotTrigger from './snapshot-trigger';
import * as iots from 'io-ts';
import * as iotsTypes from 'io-ts-types';
import type { AdapterFunctions, AdapterPoolConnectedProps, Adapter } from './types';
import { AdapterPoolPossiblyUnconnected } from './types';
export { validate, isTimestampFilter, isCursorFilter, AdapterConfigSchema, AdapterTableNamesSchema, getInitialReplicationState, } from './types';
export { threadArrayToCursor, cursorToThreadArray, initThreadArray, emptyLoadEventsResult, checkEventsContinuity, } from './cursor-operations';
export { MAINTENANCE_MODE_AUTO, MAINTENANCE_MODE_MANUAL, THREAD_COUNT, CURSOR_BUFFER_SIZE, THREAD_COUNTER_BYTE_LENGTH, } from './constants';
export * from './errors';
declare const wrappedCreateAdapter: <ConnectedProps extends AdapterPoolConnectedProps, ConnectionDependencies extends unknown, Config extends import("./types").UnbrandProps<{
    snapshotBucketSize?: iots.Branded<number, iots.IntBrand> | undefined;
}>>(adapterFunctions: AdapterFunctions<ConnectedProps, ConnectionDependencies, Config>, connectionDependencies: ConnectionDependencies, options: Config, prepare?: ((props: AdapterPoolPossiblyUnconnected<ConnectedProps>, config: Config, dependencies: ConnectionDependencies) => void) | undefined) => Adapter;
export default wrappedCreateAdapter;
export { ResourceAlreadyExistError as EventstoreResourceAlreadyExistError, ResourceNotExistError as EventstoreResourceNotExistError, EventstoreFrozenError, AlreadyFrozenError as EventstoreAlreadyFrozenError, AlreadyUnfrozenError as EventstoreAlreadyUnfrozenError, throwBadCursor, getNextCursor, snapshotTrigger, iots, iotsTypes, };
export type { ImportOptions, ExportOptions, SecretFilter, SecretsWithIdx, SecretRecord, InputEvent, VersionlessEvent, InputCursor, Cursor, StoredEventBatchPointer, StoredEventPointer, EventFilter, LatestEventFilter, ReplicationStatus, ReplicationState, OldEvent, OldSecretRecord, UnbrandProps, CursorFilter, TimestampFilter, Adapter, AdapterPoolPossiblyUnconnected, AdapterPoolConnected, AdapterPoolConnectedProps, AdapterConfig, AdapterTableNames, AdapterTableNamesProps, GatheredSecrets, EventLoaderFilter, EventLoader, } from './types';
export type { StoredEvent, EventThreadData, EventStoreDescription, } from '@resolve-js/core';
export { makeSetSecretEvent, makeDeleteSecretEvent, DELETE_SECRET_EVENT_TYPE, SET_SECRET_EVENT_TYPE, } from './secret-event';
